## makedumpfile 1.2.9

=== Makefile ===
# makedumpfile

VERSION=1.2.9
DATE=5 September 2008

CC	= gcc
CFLAGS = -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
	  -DVERSION='"$(VERSION)"' -DRELEASE_DATE='"$(DATE)"'
CFLAGS_ARCH	= -g -O2 -Wall -D_FILE_OFFSET_BITS=64

ARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/sun4u/sparc64/ \
			       -e s/arm.*/arm/ -e s/sa110/arm/ \
			       -e s/s390x/s390/ -e s/parisc64/parisc/ \
			       -e s/ppc64/powerpc/ )
CFLAGS += -D__$(ARCH)__
CFLAGS_ARCH += -D__$(ARCH)__

ifeq ($(ARCH), powerpc)
CFLAGS += -m64
CFLAGS_ARCH += -m64
endif

SRC	= makedumpfile.c makedumpfile.h diskdump_mod.h
SRC_ARCH = x86.c x86_64.c ia64.c ppc64.c
OBJ_ARCH = x86.o x86_64.o ia64.o ppc64.o

all: makedumpfile

$(OBJ_ARCH): $(SRC_ARCH)
	$(CC) $(CFLAGS_ARCH) -c -o ./$@ ./$(@:.o=.c) 

makedumpfile: $(SRC) $(OBJ_ARCH)
	$(CC) $(CFLAGS) $(OBJ_ARCH) -o $@ $< -static -ldw -lelf -lz
	zip ./makedumpfile.8.gz ./makedumpfile.8

clean:
	rm -f $(OBJ) $(OBJ_ARCH) makedumpfile makedumpfile.8.gz

install:
	cp makedumpfile ${DESTDIR}/bin
	cp makedumpfile-R.pl ${DESTDIR}/bin
	cp makedumpfile.8.gz ${DESTDIR}/usr/share/man/man8

## makedumpfile 1.3.3

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
 # makedumpfile
 
-VERSION=1.2.9
-DATE=5 September 2008
+VERSION=1.3.3
+DATE=20 April 2009
 
 CC	= gcc
 CFLAGS = -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
+	  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE \
 	  -DVERSION='"$(VERSION)"' -DRELEASE_DATE='"$(DATE)"'
-CFLAGS_ARCH	= -g -O2 -Wall -D_FILE_OFFSET_BITS=64
+CFLAGS_ARCH	= -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
+		    -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
 
 ARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/sun4u/sparc64/ \
 			       -e s/arm.*/arm/ -e s/sa110/arm/ \
@@ -31,7 +33,7 @@
 
 makedumpfile: $(SRC) $(OBJ_ARCH)
 	$(CC) $(CFLAGS) $(OBJ_ARCH) -o $@ $< -static -ldw -lelf -lz
-	zip ./makedumpfile.8.gz ./makedumpfile.8
+	gzip -c ./makedumpfile.8 > ./makedumpfile.8.gz
 
 clean:
 	rm -f $(OBJ) $(OBJ_ARCH) makedumpfile makedumpfile.8.gz

## makedumpfile 1.3.5

=== debian/changelog ===
makedumpfile (1.3.5-1) unstable; urgency=low

  * New upstream version
  * Preserve upstream's original makedumpfile.8 in clean target
  * kdump-config: Fix a typo
  * Switch to the "3.0 (quilt)" source format
    - Remove unneeded Build-Depends on quilt
  * Update kdump-tools.README.Debian to reflect that recent kernels
    don't need a crash kernel start address
  * Apply patch from Petter Reinholdtsen to fix incorrect dependencies
    in kdump-tools.init (Closes: #569685)
  * Indicate support for Linux 2.6.32
    - Although upstream hasn't updated its LATEST_VERSION macro, this
      version works without modification on Linux 2.6.32.  Squelch a
      warning that a 2.6.32 kernel is not supported.
  * Backport upstream commit 4a16bd39866093f4949f8e9dc183fa2321bda22d
    - Fix buffer overflow when writing dh->signature

 -- John Wright <jsw@debian.org>  Wed, 03 Mar 2010 17:17:35 -0700

makedumpfile (1.3.4-1) unstable; urgency=low

  * New upstream version.
    - Remove debian/patches/02-Add_x86_64_linux-2.6.31.patch - already
      included upstream
  * Upload to Debian. Changes from Ubuntu:
    - Switch to quilt from dpatch
    - Set myself as the maintainer
    - Don't ignore make clean errors
    - Update to debhelper compatibility level 7 and simplify the rules
      file by using dh
    - Install the manpage with maximum compression
    - Update Standards-Version to 3.8.2, adding a README.source
      explaining the quilt patch setup
    - Add ${perl:Depends} to Depends, since we ship a perl script
    - Add Vcs-Git and Vcs-Browser fields to debian/control
    - Clarify the copyright description
    - Provide a dynamically linked binary in the makedumpfile package,
      and a static binary in the makedumpfile-static package
      - Add lintian overrides relating to makedumpfile-static being
        statically linked
    - Remove unused Build-Depends on zip
    - Build a kdump-tools package that includes an init script and tools
      to configure kdump

 -- John Wright <jsw@debian.org>  Thu, 12 Nov 2009 19:03:18 -0700

makedumpfile (1.3.3-0ubuntu4) karmic; urgency=low

  * debian/patches/02-Add_x86_64_linux-2.6.31.patch:
    - apply patch by Ken'ichi Ohmichi to support 2.6.31 on
      amd64 (kernel memory layout changed)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Jul 2009 09:18:33 +0200

makedumpfile (1.3.3-0ubuntu3) karmic; urgency=low

  * debian/rules, debian/control:
    - add dpatch
  * debian/patches/01_fix_makefile:
    - fix make install target

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Jun 2009 13:14:10 +0200

makedumpfile (1.3.3-0ubuntu2) karmic; urgency=low

  * fix FTBFS due to missing man dir

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Jun 2009 09:21:08 +0200

makedumpfile (1.3.3-0ubuntu1) karmic; urgency=low

  * New upstream release
  * depends on latest libdw-dev (the previous version does
    not ship the required static lib)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Jun 2009 16:19:42 +0200

makedumpfile (1.2.9-0ubuntu3) intrepid; urgency=low

  * Add missing build dependency "zip" to fix FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Oct 2008 15:11:25 +0200

makedumpfile (1.2.9-0ubuntu2) intrepid; urgency=low

  * Corrected FTBFS caused by a mistake in the makefile

 -- Michael Casadevall <sonicmctails@gmail.com>  Mon, 06 Oct 2008 02:01:26 -0400

makedumpfile (1.2.9-0ubuntu1) intrepid; urgency=low

  * New upstream version (LP: #271956)
  * Support ia64 discontigmem kernels of linux-2.6.20+.
  * Support x86_64 linux-2.6.27 kernel.
  * Add "--vtop" option for debugging.
  * Add the debugging message for ia64 pgtable.
  * Get information from vmcoreinfo of /proc/vmcore even if -x/-i option.
  * Add free() for error handling.
  * Fix NOT_FOUND value of SIZE(nodemask_t).
  * Use the terminal sizes of 80 for the IMPLEMENTATION file. (Bernhard Walle)
  * Use static allocation instead of malloc().
  * Add get_num_dumpable() function.
  * Remove the unused pointer.
  * Remove the unused code.
  * Make the ELF methods simple.
  * Merge the same code in write_elf_pages().
  * Add "void" to some arguments.
  * Separate the dependency code to machine and linux version.
  * Cleanup vaddr_to_paddr() function.

 -- Kevin Worth <kworth@gmail.com>  Thu, 18 Sep 2008 10:34:45 -0700

makedumpfile (1.2.6-0ubuntu3) intrepid; urgency=low

  * Added lpia to architectures.

 -- Ben Collins <ben.collins@canonical.com>  Tue, 08 Jul 2008 10:51:37 -0400

makedumpfile (1.2.6-0ubuntu2) intrepid; urgency=low

  * Get rid of prerm and postinst from packaging, they were empty.
  * Added copyright for packaging.
  * Added copyright for ppc64.c to debian/copyright
  * Check return value of read(), gets rid of warnings.

 -- Ben Collins <ben.collins@canonical.com>  Wed, 02 Jul 2008 09:18:36 -0400

makedumpfile (1.2.6-0ubuntu1) intrepid; urgency=low

  * Initial release
  * Use _LARGEFILE_SOURCE and _LARGEFILE64_SOURCE instead of
    _FILE_OFFSET_BITS=64 for correct compilation.
  * Added initramfs hook to install makedumpfile into initrd

 -- Ben Collins <ben.collins@canonical.com>  Wed, 18 Jun 2008 18:15:32 -0400

=== debian/rules ===
#!/usr/bin/make -f

# Figure out the git branch we're on
branch = $(shell git symbolic-ref HEAD 2>/dev/null | sed s:refs/heads/::)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	install -D -m755 debian/makedumpfile-static.initramfs-hook \
	  debian/makedumpfile-static/usr/share/initramfs-tools/hooks/makedumpfile

override_dh_installinit:
	# Start right after syslog is available, and don't bother stopping
	# (which just unloads the kdump kernel) so that we can catch crashes
	# all the way until actual shutdown.
	dh_installinit -pkdump-tools -- start 11 2 3 4 5 .

# The upstream Makefile modifies makedumpfile.8 in place, so without this hack
# (or a patch to the Makefile, which would be harder to maintain), our clean
# target won't get us back to the original source.
override_dh_auto_build:
	cp makedumpfile.8 makedumpfile.8.orig
	dh_auto_build

override_dh_auto_clean:
	if [ -f makedumpfile.8.orig ]; then \
		mv makedumpfile.8.orig makedumpfile.8; \
	fi
	dh_auto_clean

guilt-patches:
	dh_testdir
	dh_quilt_unpatch
	test -d .git
	test -n '$(branch)'

	# Make sure no guilt patches are applied.  But don't fail if guilt
	# hasn't been initialized yet.
	guilt status > /dev/null || guilt init
	guilt pop -a

	rm -rf .git/patches/$(branch)
	rsync -av --delete debian/patches/ .git/patches/$(branch)
	touch .git/patches/$(branch)/status

debian/patches:
	dh_testdir
	dh_quilt_unpatch
	test -d .git

	guilt pop -a
	rm -rf debian/patches
	guilt export debian/patches

.PHONY: guilt-patches debian/patches

## makedumpfile 1.3.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.3.3
-DATE=20 April 2009
+VERSION=1.3.7
+DATE=16 November 2010
 
 CC	= gcc
 CFLAGS = -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
@@ -23,8 +23,8 @@
 endif
 
 SRC	= makedumpfile.c makedumpfile.h diskdump_mod.h
-SRC_ARCH = x86.c x86_64.c ia64.c ppc64.c
-OBJ_ARCH = x86.o x86_64.o ia64.o ppc64.o
+SRC_ARCH = arm.c x86.c x86_64.c ia64.c ppc64.c s390x.c
+OBJ_ARCH = arm.o x86.o x86_64.o ia64.o ppc64.o s390x.o
 
 all: makedumpfile
 
@@ -33,6 +33,9 @@
 
 makedumpfile: $(SRC) $(OBJ_ARCH)
 	$(CC) $(CFLAGS) $(OBJ_ARCH) -o $@ $< -static -ldw -lelf -lz
+	echo .TH MAKEDUMPFILE 8 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.8
+	grep -v "^.TH MAKEDUMPFILE 8" makedumpfile.8 >> temp.8
+	mv temp.8 makedumpfile.8
 	gzip -c ./makedumpfile.8 > ./makedumpfile.8.gz
 
 clean:

=== debian/changelog ===
makedumpfile (1.3.7-2) unstable; urgency=low

  * Cherry-pick upstream commits:
    - [PATCH] BUGFIX: Avoid SIGSEGV when specifying -V option.
      (5b8c2da75cbdb230019a3b956793fb768055b977)
    - [PATCH] Copy correct nr_cpus info to dumpfile during re-filtering.
      (c4f1c98a9827c1c0e41772c1954940fbf1b48048)
  * kdump-tools.init: Don't exit with failure status except for bad
    usage.  This way, even if /etc/default/kdump-tools has USE_KDUMP=1
    but the kernel command line or debug kernels are not set up,
    installation of a new version of the package will not leave it
    unconfigured.  (Closes: #623470)

 -- John Wright <jsw@debian.org>  Tue, 26 Apr 2011 20:05:16 -0700

makedumpfile (1.3.7-1) unstable; urgency=low

  [ John Wright ]
  * New upstream version
  * kdump-config: Clean up kernel command-line argument stripping
  * kdump-tools.init: Remove a stray "$" in the usage statement
    (Closes: #581116)

  [ dave medberry ]
  * kdump-config: Convert 3 log_failure_msg to a log_warning_msg
    (Closes: #594411)

 -- John Wright <jsw@debian.org>  Sun, 17 Apr 2011 21:03:04 -0700

=== debian/control ===
Source: makedumpfile
Section: devel
Priority: optional
Maintainer: John Wright <jsw@debian.org>
Standards-Version: 3.8.2
Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1)
Vcs-Git: git://git.debian.org/collab-maint/makedumpfile.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/makedumpfile.git;a=summary

Package: makedumpfile
Architecture: i386 amd64 powerpc ia64 lpia
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: crash, kexec-tools
Replaces: kdump-tools (<< 1.3.4-1~)
Description: VMcore extraction tool
 This program is used to extract a subset of the memory available either
 via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
 images without extra uneeded information (zero pages, userspace programs,
 etc).

Package: makedumpfile-static
Architecture: i386 amd64 powerpc ia64 lpia
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: crash, kexec-tools
Description: VMcore extraction tool - static binary
 This program is used to extract a subset of the memory available either
 via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
 images without extra uneeded information (zero pages, userspace programs,
 etc).
 .
 This version is statically linked, so that it can be used in an
 initramfs or other environment where not all libraries are available.

Package: kdump-tools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, makedumpfile, kexec-tools
Description: scripts and tools for automating kdump (Linux crash dumps)
 kdump-tools provides an init script and a configuration script for
 automating the use of kdump.  It uses the makedumpfile utility to
 reduce the size of the /proc/vmcore file based on user preferences.
 .
 After installing, please see /usr/share/doc/kdump-tools/README.Debian
 for information on enabling and configuring kdump.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-# Figure out the git branch we're on
-branch = $(shell git symbolic-ref HEAD 2>/dev/null | sed s:refs/heads/::)
 
 %:
 	dh $@
@@ -29,29 +26,3 @@
 		mv makedumpfile.8.orig makedumpfile.8; \
 	fi
 	dh_auto_clean
-
-guilt-patches:
-	dh_testdir
-	dh_quilt_unpatch
-	test -d .git
-	test -n '$(branch)'
-
-	# Make sure no guilt patches are applied.  But don't fail if guilt
-	# hasn't been initialized yet.
-	guilt status > /dev/null || guilt init
-	guilt pop -a
-
-	rm -rf .git/patches/$(branch)
-	rsync -av --delete debian/patches/ .git/patches/$(branch)
-	touch .git/patches/$(branch)/status
-
-debian/patches:
-	dh_testdir
-	dh_quilt_unpatch
-	test -d .git
-
-	guilt pop -a
-	rm -rf debian/patches
-	guilt export debian/patches
-
-.PHONY: guilt-patches debian/patches

## makedumpfile 1.4.0

=== Makefile ===
# makedumpfile

VERSION=1.4.0
DATE=12 September 2011

CC	= gcc
CFLAGS = -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
	  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE \
	  -DVERSION='"$(VERSION)"' -DRELEASE_DATE='"$(DATE)"'
CFLAGS_ARCH	= -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
		    -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
# LDFLAGS = -L/usr/local/lib -I/usr/local/include

ARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/sun4u/sparc64/ \
			       -e s/arm.*/arm/ -e s/sa110/arm/ \
			       -e s/s390x/s390/ -e s/parisc64/parisc/ \
			       -e s/ppc64/powerpc/ )
CFLAGS += -D__$(ARCH)__
CFLAGS_ARCH += -D__$(ARCH)__

ifeq ($(ARCH), powerpc)
CFLAGS += -m64
CFLAGS_ARCH += -m64
endif

SRC	= makedumpfile.c makedumpfile.h diskdump_mod.h
SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c
OBJ_PART = print_info.o dwarf_info.o elf_info.o erase_info.o
SRC_ARCH = arch/arm.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c
OBJ_ARCH = arch/arm.o arch/x86.o arch/x86_64.o arch/ia64.o arch/ppc64.o arch/s390x.o

all: makedumpfile

$(OBJ_PART): $(SRC_PART)
	$(CC) $(CFLAGS) -c -o ./$@ ./$(@:.o=.c) 

$(OBJ_ARCH): $(SRC_ARCH)
	$(CC) $(CFLAGS_ARCH) -c -o ./$@ ./$(@:.o=.c) 

makedumpfile: $(SRC) $(OBJ_PART) $(OBJ_ARCH)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJ_PART) $(OBJ_ARCH) -o $@ $< -static -ldw -lbz2 -lebl -ldl -lelf -lz
	echo .TH MAKEDUMPFILE 8 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.8
	grep -v "^.TH MAKEDUMPFILE 8" makedumpfile.8 >> temp.8
	mv temp.8 makedumpfile.8
	gzip -c ./makedumpfile.8 > ./makedumpfile.8.gz
	echo .TH MAKEDUMPFILE.CONF 5 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.5
	grep -v "^.TH MAKEDUMPFILE.CONF 5" makedumpfile.conf.5 >> temp.5
	mv temp.5 makedumpfile.conf.5
	gzip -c ./makedumpfile.conf.5 > ./makedumpfile.conf.5.gz

clean:
	rm -f $(OBJ) $(OBJ_PART) $(OBJ_ARCH) makedumpfile makedumpfile.8.gz makedumpfile.conf.5.gz

install:
	cp makedumpfile ${DESTDIR}/bin
	cp makedumpfile-R.pl ${DESTDIR}/bin
	cp makedumpfile.8.gz ${DESTDIR}/usr/share/man/man8
	cp makedumpfile.conf.5.gz ${DESTDIR}/usr/share/man/man5
	cp makedumpfile.conf ${DESTDIR}/etc/makedumpfile.conf.sample

=== debian/changelog ===
makedumpfile (1.4.0-1) unstable; urgency=low

  * New upstream version
  * Drop makedumpfile-static package, since makedumpfile depends on
    libebl, which is no longer available statically, and nobody is
    depending on makedumpfile-static anyway

 -- John Wright <jsw@debian.org>  Sun, 22 Jan 2012 16:49:51 -0800

=== debian/control ===
--- 
+++ 
@@ -18,19 +18,6 @@
  images without extra uneeded information (zero pages, userspace programs,
  etc).
 
-Package: makedumpfile-static
-Architecture: i386 amd64 powerpc ia64 lpia
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Recommends: crash, kexec-tools
-Description: VMcore extraction tool - static binary
- This program is used to extract a subset of the memory available either
- via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
- images without extra uneeded information (zero pages, userspace programs,
- etc).
- .
- This version is statically linked, so that it can be used in an
- initramfs or other environment where not all libraries are available.
-
 Package: kdump-tools
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, makedumpfile, kexec-tools

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installinit:
	# Start right after syslog is available, and don't bother stopping
	# (which just unloads the kdump kernel) so that we can catch crashes
	# all the way until actual shutdown.
	dh_installinit -pkdump-tools -- start 11 2 3 4 5 .

## makedumpfile 1.4.3

=== Makefile ===
# makedumpfile

VERSION=1.4.3
DATE=29 February 2012

# Honour the environment variable CC
ifeq ($(strip $CC),)
CC	= gcc
endif

CFLAGS = -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
	  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE \
	  -DVERSION='"$(VERSION)"' -DRELEASE_DATE='"$(DATE)"'
CFLAGS_ARCH	= -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
		    -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
# LDFLAGS = -L/usr/local/lib -I/usr/local/include

# Use TARGET as the target architecture if specified.
# Defaults to uname -m
ifeq ($(strip($TARGET)),)
TARGET := $(shell uname -m)
endif

ARCH := $(shell echo ${TARGET}  | sed -e s/i.86/x86/ -e s/sun4u/sparc64/ \
			       -e s/arm.*/arm/ -e s/sa110/arm/ \
			       -e s/s390x/s390/ -e s/parisc64/parisc/ \
			       -e s/ppc64/powerpc64/ -e s/ppc/powerpc32/)

CFLAGS += -D__$(ARCH)__
CFLAGS_ARCH += -D__$(ARCH)__

ifeq ($(ARCH), powerpc64)
CFLAGS += -m64
CFLAGS_ARCH += -m64
endif

ifeq ($(ARCH), powerpc32)
CFLAGS += -m32
CFLAGS_ARCH += -m32
endif

SRC	= makedumpfile.c makedumpfile.h diskdump_mod.h sadump_mod.h sadump_info.h
SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c
OBJ_PART = print_info.o dwarf_info.o elf_info.o erase_info.o sadump_info.o
SRC_ARCH = arch/arm.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c
OBJ_ARCH = arch/arm.o arch/x86.o arch/x86_64.o arch/ia64.o arch/ppc64.o arch/s390x.o arch/ppc.o

LIBS = -ldw -lbz2 -lebl -ldl -lelf -lz
ifneq ($(LINKTYPE), dynamic)
LIBS := -static $(LIBS)
endif

all: makedumpfile

$(OBJ_PART): $(SRC_PART)
	$(CC) $(CFLAGS) -c -o ./$@ ./$(@:.o=.c) 

$(OBJ_ARCH): $(SRC_ARCH)
	$(CC) $(CFLAGS_ARCH) -c -o ./$@ ./$(@:.o=.c) 

makedumpfile: $(SRC) $(OBJ_PART) $(OBJ_ARCH)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJ_PART) $(OBJ_ARCH) -o $@ $< $(LIBS)
	echo .TH MAKEDUMPFILE 8 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.8
	grep -v "^.TH MAKEDUMPFILE 8" makedumpfile.8 >> temp.8
	mv temp.8 makedumpfile.8
	gzip -c ./makedumpfile.8 > ./makedumpfile.8.gz
	echo .TH MAKEDUMPFILE.CONF 5 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.5
	grep -v "^.TH MAKEDUMPFILE.CONF 5" makedumpfile.conf.5 >> temp.5
	mv temp.5 makedumpfile.conf.5
	gzip -c ./makedumpfile.conf.5 > ./makedumpfile.conf.5.gz

clean:
	rm -f $(OBJ) $(OBJ_PART) $(OBJ_ARCH) makedumpfile makedumpfile.8.gz makedumpfile.conf.5.gz

install:
	cp makedumpfile ${DESTDIR}/bin
	cp makedumpfile-R.pl ${DESTDIR}/bin
	cp makedumpfile.8.gz ${DESTDIR}/usr/share/man/man8
	cp makedumpfile.conf.5.gz ${DESTDIR}/usr/share/man/man5
	cp makedumpfile.conf ${DESTDIR}/etc/makedumpfile.conf.sample

=== debian/changelog ===
makedumpfile (1.4.3-1) unstable; urgency=low

  [ Louis Bouchard ]
  * Update packaging for upstream version 1.4.3

  [ John Wright ]
  * Add Louis Bouchard to Uploaders.  Thanks!

 -- John Wright <jsw@debian.org>  Sun, 10 Jun 2012 00:34:07 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: John Wright <jsw@debian.org>
+Uploaders: Louis Bouchard <louis@ubuntu.com>
 Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1)
+Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1), libbz2-dev
 Vcs-Git: git://git.debian.org/collab-maint/makedumpfile.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/makedumpfile.git;a=summary

## makedumpfile 1.4.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.4.3
-DATE=29 February 2012
+VERSION=1.4.4
+DATE=29 May 2012
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -50,6 +50,11 @@
 LIBS := -static $(LIBS)
 endif
 
+ifeq ($(USELZO), on)
+LIBS := -llzo2 $(LIBS)
+CFLAGS += -DUSELZO
+endif
+
 all: makedumpfile
 
 $(OBJ_PART): $(SRC_PART)

=== debian/changelog ===
makedumpfile (1.4.4-1) unstable; urgency=low

  * New upstream version

 -- John Wright <jsw@debian.org>  Mon, 16 Jul 2012 04:01:21 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: John Wright <jsw@debian.org>
-Uploaders: Louis Bouchard <louis@ubuntu.com>
+Uploaders: Louis Bouchard <louis.bouchard@ubuntu.com>
 Standards-Version: 3.8.2
 Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1), libbz2-dev
 Vcs-Git: git://git.debian.org/collab-maint/makedumpfile.git

## makedumpfile 1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.4.4
-DATE=29 May 2012
+VERSION=1.5.1
+DATE=6 Dec 2012
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -55,6 +55,11 @@
 CFLAGS += -DUSELZO
 endif
 
+ifeq ($(USESNAPPY), on)
+LIBS := -lsnappy $(LIBS)
+CFLAGS += -DUSESNAPPY
+endif
+
 all: makedumpfile
 
 $(OBJ_PART): $(SRC_PART)

=== debian/changelog ===
makedumpfile (1.5.1-1ubuntu1) raring; urgency=low

  * Build makedumpfile on armel, armhf, arm64, and x32 (LP: #831643)

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 24 Feb 2013 14:57:12 -0700

makedumpfile (1.5.1-1) unstable; urgency=low

  * Merge of new upstream version 1.5.1
  * Add --dmesg-fix from upstream 1.5.2 for kernels 3.5
    and above
  * Add creation of /var/crash/dmesg.{timestamp} by kdump-config

 -- Louis Bouchard <louis.bouchard@canonical.com>  Tue, 05 Feb 2013 09:55:43 +0100

makedumpfile (1.5.0-1) unstable; urgency=low

  * New upstream version 1.5.0

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 17 Sep 2012 15:55:39 +0200

## makedumpfile 1.5.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.5.1
-DATE=6 Dec 2012
+VERSION=1.5.3
+DATE=19 Feb 2013
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -40,8 +40,8 @@
 endif
 
 SRC	= makedumpfile.c makedumpfile.h diskdump_mod.h sadump_mod.h sadump_info.h
-SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c
-OBJ_PART = print_info.o dwarf_info.o elf_info.o erase_info.o sadump_info.o
+SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c
+OBJ_PART = print_info.o dwarf_info.o elf_info.o erase_info.o sadump_info.o cache.o
 SRC_ARCH = arch/arm.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c
 OBJ_ARCH = arch/arm.o arch/x86.o arch/x86_64.o arch/ia64.o arch/ppc64.o arch/s390x.o arch/ppc.o
 
@@ -69,7 +69,7 @@
 	$(CC) $(CFLAGS_ARCH) -c -o ./$@ ./$(@:.o=.c) 
 
 makedumpfile: $(SRC) $(OBJ_PART) $(OBJ_ARCH)
-	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJ_PART) $(OBJ_ARCH) -o $@ $< $(LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJ_PART) $(OBJ_ARCH) -rdynamic -o $@ $< $(LIBS)
 	echo .TH MAKEDUMPFILE 8 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.8
 	grep -v "^.TH MAKEDUMPFILE 8" makedumpfile.8 >> temp.8
 	mv temp.8 makedumpfile.8
@@ -78,6 +78,9 @@
 	grep -v "^.TH MAKEDUMPFILE.CONF 5" makedumpfile.conf.5 >> temp.5
 	mv temp.5 makedumpfile.conf.5
 	gzip -c ./makedumpfile.conf.5 > ./makedumpfile.conf.5.gz
+
+eppic_makedumpfile.so: extension_eppic.c
+	$(CC) $(CFLAGS) -shared -rdynamic -o $@ extension_eppic.c -fPIC -leppic -ltinfo
 
 clean:
 	rm -f $(OBJ) $(OBJ_PART) $(OBJ_ARCH) makedumpfile makedumpfile.8.gz makedumpfile.conf.5.gz

=== debian/changelog ===
makedumpfile (1:1.5.3-2) unstable; urgency=medium

  * Adapt to kernel 3.16 changes in symbols :
    - Work around removal of struct vmlist in kernel 3.16
    - Fix dump_dmesg accordingly
    - Backported commits are : 759b78c, cee64e3, 8145e41, e203095,
      150b58eb, 846ab2e, 1202589, 8a0236c, 9d38132, e24dc53
    Closes: #719943
  * Implement systemd service and correct mechanism
    to capture kernel dumps under systemd control
    Closes: #771210

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 02 Dec 2014 15:17:43 +0100

makedumpfile (1.5.3-1) unstable; urgency=low

  [ Louis Bouchard ]
  * New upstream version
    - Drop 0003-PATCH-dump-dmesg-fix-for-post-3.5-kernels.patch
      (included upstream)
    - Rebase 0002-Use-install-instead-of-cp-in-Makefile.patch

 -- John Wright <jsw@debian.org>  Sun, 31 Mar 2013 20:45:37 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: John Wright <jsw@debian.org>
 Uploaders: Louis Bouchard <louis.bouchard@ubuntu.com>
 Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1), libbz2-dev
+Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1),
+		 libbz2-dev, dh-systemd (>=1.5)
 Vcs-Git: git://git.debian.org/collab-maint/makedumpfile.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/makedumpfile.git;a=summary

## makedumpfile 1.5.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.5.3
-DATE=19 Feb 2013
+VERSION=1.5.5
+DATE=18 Dec 2013
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -86,8 +86,8 @@
 	rm -f $(OBJ) $(OBJ_PART) $(OBJ_ARCH) makedumpfile makedumpfile.8.gz makedumpfile.conf.5.gz
 
 install:
-	cp makedumpfile ${DESTDIR}/bin
-	cp makedumpfile-R.pl ${DESTDIR}/bin
-	cp makedumpfile.8.gz ${DESTDIR}/usr/share/man/man8
-	cp makedumpfile.conf.5.gz ${DESTDIR}/usr/share/man/man5
-	cp makedumpfile.conf ${DESTDIR}/etc/makedumpfile.conf.sample
+	install -m 755 -d ${DESTDIR}/usr/sbin ${DESTDIR}/usr/share/man/man5 ${DESTDIR}/usr/share/man/man8 ${DESTDIR}/etc
+	install -m 755 -t ${DESTDIR}/usr/sbin makedumpfile makedumpfile-R.pl
+	install -m 644 -t ${DESTDIR}/usr/share/man/man8 makedumpfile.8.gz
+	install -m 644 -t ${DESTDIR}/usr/share/man/man5 makedumpfile.conf.5.gz
+	install -m 644 -D makedumpfile.conf ${DESTDIR}/etc/makedumpfile.conf.sample

=== debian/changelog ===
makedumpfile (1.5.5-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1277065).  Remaining changes:
    - Build makedumpfile on armel, armhf, ppc64el, and x32.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 06 Feb 2014 13:56:52 +0100

makedumpfile (1.5.5-2) unstable; urgency=low

  * Drop debug kernel requirement from kdump-config

    [Konstantin Khlebnikov]
    Starting from 2.6.24 kernel provides vmcoreinfo right in vmcore,
    so makedumpfile can produce filtered dumps without vmlinux or slecial vmcoreinfo.
    Closes: #638849

  * debian/kdump-config : Define Timestamp only once in variable and reuse

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 15 Jan 2014 10:29:34 +0100

makedumpfile (1.5.5-1) unstable; urgency=low

  [ Louis Bouchard ]
  * New upstream version
    - Reworked debian/patches to use DEP3
    - Use install statement from upstream Makefile

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 19 Dec 2013 11:31:10 +0100

makedumpfile (1.5.4-1ubuntu2) trusty; urgency=low

  * 0003-powerpc-vmap_area_list.patch: Apply patch from RedHat to add
    vmap_area_list definitions on powerpc and ppc64 to fix the FTBFS.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Nov 2013 22:21:00 -0700

makedumpfile (1.5.4-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build makedumpfile on armel, armhf, ppc64el, and x32.
  * Stop trying to build on arm64 until upstream supports it.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Nov 2013 14:04:29 -0700

makedumpfile (1.5.4-1) unstable; urgency=low

  [Louis Bouchard]
  * New upstream version

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 16 Jul 2013 16:05:09 +0200

makedumpfile (1.5.3-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build makedumpfile on armel, armhf, arm64, and x32.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 26 May 2013 06:20:29 -0600

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: makedumpfile
 Section: devel
 Priority: optional
-Maintainer: John Wright <jsw@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Wright <jsw@debian.org>
 Uploaders: Louis Bouchard <louis.bouchard@ubuntu.com>
-Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1),
-		 libbz2-dev, dh-systemd (>=1.5)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1), libbz2-dev
 Vcs-Git: git://git.debian.org/collab-maint/makedumpfile.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/makedumpfile.git;a=summary
 
 Package: makedumpfile
-Architecture: i386 amd64 powerpc ia64 lpia
+Architecture: i386 amd64 powerpc ia64 lpia x32 armel armhf ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Recommends: crash, kexec-tools
 Replaces: kdump-tools (<< 1.3.4-1~)

## makedumpfile 1.5.6

=== Makefile ===
# makedumpfile

VERSION=1.5.6
DATE=23 Apr 2014

# Honour the environment variable CC
ifeq ($(strip $CC),)
CC	= gcc
endif

CFLAGS = -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
	  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE \
	  -DVERSION='"$(VERSION)"' -DRELEASE_DATE='"$(DATE)"'
CFLAGS_ARCH	= -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
		    -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
# LDFLAGS = -L/usr/local/lib -I/usr/local/include

HOST_ARCH := $(shell uname -m)
# Use TARGET as the target architecture if specified.
# Defaults to uname -m
ifeq ($(strip($TARGET)),)
TARGET := $(HOST_ARCH)
endif

ARCH := $(shell echo ${TARGET}  | sed -e s/i.86/x86/ -e s/sun4u/sparc64/ \
			       -e s/arm.*/arm/ -e s/sa110/arm/ \
			       -e s/s390x/s390/ -e s/parisc64/parisc/ \
			       -e s/ppc64/powerpc64/ -e s/ppc/powerpc32/)

CROSS :=
ifneq ($(TARGET), $(HOST_ARCH))
CROSS := -U__$(HOST_ARCH)__
endif

CFLAGS += -D__$(ARCH)__ $(CROSS)
CFLAGS_ARCH += -D__$(ARCH)__ $(CROSS)

ifeq ($(ARCH), powerpc64)
CFLAGS += -m64
CFLAGS_ARCH += -m64
endif

ifeq ($(ARCH), powerpc32)
CFLAGS += -m32
CFLAGS_ARCH += -m32
endif

SRC_BASE = makedumpfile.c makedumpfile.h diskdump_mod.h sadump_mod.h sadump_info.h
SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c
OBJ_PART=$(patsubst %.c,%.o,$(SRC_PART))
SRC_ARCH = arch/arm.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c
OBJ_ARCH=$(patsubst %.c,%.o,$(SRC_ARCH))

LIBS = -ldw -lbz2 -lebl -ldl -lelf -lz
ifneq ($(LINKTYPE), dynamic)
LIBS := -static $(LIBS)
endif

ifeq ($(USELZO), on)
LIBS := -llzo2 $(LIBS)
CFLAGS += -DUSELZO
endif

ifeq ($(USESNAPPY), on)
LIBS := -lsnappy $(LIBS)
CFLAGS += -DUSESNAPPY
endif

all: makedumpfile

$(OBJ_PART): $(SRC_PART)
	$(CC) $(CFLAGS) -c -o ./$@ $(VPATH)$(@:.o=.c)

$(OBJ_ARCH): $(SRC_ARCH)
	@mkdir -p $(@D)
	$(CC) $(CFLAGS_ARCH) -c -o ./$@ $(VPATH)$(@:.o=.c)

makedumpfile: $(SRC_BASE) $(OBJ_PART) $(OBJ_ARCH)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJ_PART) $(OBJ_ARCH) -rdynamic -o $@ $< $(LIBS)
	echo .TH MAKEDUMPFILE 8 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.8
	grep -v "^.TH MAKEDUMPFILE 8" $(VPATH)makedumpfile.8 >> temp.8
	mv temp.8 makedumpfile.8
	gzip -c ./makedumpfile.8 > ./makedumpfile.8.gz
	echo .TH MAKEDUMPFILE.CONF 5 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.5
	grep -v "^.TH MAKEDUMPFILE.CONF 5" $(VPATH)makedumpfile.conf.5 >> temp.5
	mv temp.5 makedumpfile.conf.5
	gzip -c ./makedumpfile.conf.5 > ./makedumpfile.conf.5.gz

eppic_makedumpfile.so: extension_eppic.c
	$(CC) $(CFLAGS) -shared -rdynamic -o $@ extension_eppic.c -fPIC -leppic -ltinfo

clean:
	rm -f $(OBJ) $(OBJ_PART) $(OBJ_ARCH) makedumpfile makedumpfile.8.gz makedumpfile.conf.5.gz

install:
	install -m 755 -d ${DESTDIR}/usr/sbin ${DESTDIR}/usr/share/man/man5 ${DESTDIR}/usr/share/man/man8 ${DESTDIR}/etc
	install -m 755 -t ${DESTDIR}/usr/sbin makedumpfile $(VPATH)makedumpfile-R.pl
	install -m 644 -t ${DESTDIR}/usr/share/man/man8 makedumpfile.8.gz
	install -m 644 -t ${DESTDIR}/usr/share/man/man5 makedumpfile.conf.5.gz
	install -m 644 -D $(VPATH)makedumpfile.conf ${DESTDIR}/etc/makedumpfile.conf.sample
	mkdir -p ${DESTDIR}/usr/share/makedumpfile-${VERSION}/eppic_scripts
	install -m 644 -t ${DESTDIR}/usr/share/makedumpfile-${VERSION}/eppic_scripts/ $(VPATH)eppic_scripts/*

=== debian/changelog ===
makedumpfile (1.5.6-2ubuntu1) utopic; urgency=medium

  * kdump-config: load kdump kernel from vmlinux too (LP: #1324544)

 -- Mauricio Faria de Oliveira <mauricfo@linux.vnet.ibm.com>  Sat, 13 Sep 2014 13:34:02 -0300

makedumpfile (1.5.6-2) unstable; urgency=medium

  * [ Juerg Haefliger <juerg.haefliger@hp.com> ]
    Make the dumping of dmesg configurable

    Dumping the dmesg buffer has shown to be problematic when kernels
    change. This patch introduces a new config variable that can turn
    the dmesg dump off.  The default behaviour unchanged, i.e., the
    dmesg buffer is dumped.
    Closes: 747173

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 23 May 2014 12:33:24 +0200

makedumpfile (1.5.6-1) unstable; urgency=medium

  [ Louis Bouchard ]
  * New upstream version

  * Add x32 armel armhf and ppa64el to Achitecture to close the delta with
    Ubuntu

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 29 Apr 2014 16:07:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: makedumpfile
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Wright <jsw@debian.org>
+Maintainer: John Wright <jsw@debian.org>
 Uploaders: Louis Bouchard <louis.bouchard@ubuntu.com>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1), libbz2-dev

## makedumpfile 1.5.7

=== debian/changelog ===
makedumpfile (1:1.5.7-5) experimental; urgency=medium

  * Fix panic_on_oops erratic handling
    Closes: #776582

  [ Hari Bathini <hbathini@linux.vnet.ibm.com> ]
  * Add firmware assisted dump support
    Closes: #776574, LP: #1415562

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 30 Jan 2015 14:04:47 +0100

makedumpfile (1:1.5.7-4) experimental; urgency=medium

  * Enable kdump-tools to work as a systemd service

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 04 Dec 2014 17:45:43 +0100

makedumpfile (1.5.7-3) unstable; urgency=medium

  [Mauricio Faria de Oliveira <mauricfo@linux.vnet.ibm.com>]
  * Add possibility to find vmlinux for ppc64el arch
    Closes: #763688

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 14 Nov 2014 15:56:15 +0100

makedumpfile (1.5.7-2) unstable; urgency=medium

  [Lee Schermerhorn]
  * Add '-F' [flatten] to makedumpefile args for remote kdump vi ssh.
    Closes: #768317

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 10 Nov 2014 16:51:04 +0100

makedumpfile (1.5.7-1) unstable; urgency=medium

  * New upstream version includes :
    - Show the memory usage of 1st kernel : Add the new option 
      "--mem-usage" to show the memory usage at a given moment 
      in 1st kernel. This will be helpful to estimate the 
      appropriate storage size to store a filtered dumpfile,
      thanks Baoquan.

    -  hugepage filtering : Both THPs and hugetlbfs pages are now 
       excluded as user pages.  As for hugetlbfs, this feature 
       will be enabled for linux-3.16 or later.

    -  Support new kernels
       The supported kernel is updated to 3.16 in this version.

  * Debian specific enhancements :
    - Networked kernel dumps
      The kdump-tools script is now able to send the output of
      makedumpfile to a remote server using either SSH or NFS
      protocols.
    - Add myself as the new maintainer

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 18 Sep 2014 13:21:55 +0200

## makedumpfile 1.5.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.5.6
-DATE=23 Apr 2014
+VERSION=1.5.8
+DATE=25 Mar 2015
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -87,7 +87,7 @@
 	gzip -c ./makedumpfile.conf.5 > ./makedumpfile.conf.5.gz
 
 eppic_makedumpfile.so: extension_eppic.c
-	$(CC) $(CFLAGS) -shared -rdynamic -o $@ extension_eppic.c -fPIC -leppic -ltinfo
+	$(CC) $(CFLAGS) $(LDFLAGS) -shared -rdynamic -o $@ extension_eppic.c -fPIC -leppic -ltinfo
 
 clean:
 	rm -f $(OBJ) $(OBJ_PART) $(OBJ_ARCH) makedumpfile makedumpfile.8.gz makedumpfile.conf.5.gz

=== debian/changelog ===
makedumpfile (1:1.5.8-4) sid; urgency=medium

  * Add cherry-pick of commits b859e0a, f1cea98, 3cc296c, 70ce1a2, 
    0423186 and 9e18e42 that were missed between 1.5.7-5 and 1.5.8-1
    (Closes: #793485)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 27 Jul 2015 16:23:48 +0200

makedumpfile (1:1.5.8-3) sid; urgency=medium

  * Makes sysVinit script execution contitional to the 
    use of upstart. Closes: 789058

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 17 Jun 2015 15:10:42 +0200

makedumpfile (1:1.5.8-2) sid; urgency=medium

  * Add upstart job for systems supporting upstart
   Closes: 788313

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 09 Jun 2015 11:11:02 +0200

makedumpfile (1:1.5.8-1) sid; urgency=medium

  * New upstream version includes :
    o Fair I/O workload assignment for --split
    - Add the new option "--splitblock-size" to specify the permissible
      difference of each splitted dumpfile size. Please note that the
      difference can be larger than the specified size since this feature
      doesn't care about zero page filtering.

    o Make incomplete dumpfile readable
    - DUMP_DH_COMPRESSED_INCOMPLETE or DUMP_ELF_INCOMPLETE flag will be set
      in the header of dumpfiles if ENOSPC occurs. The flags make crash utility
      attempt analyzing the dumpfile even it is known to be incomplete.

    o Support new kernels
    - The supported kernel is updated to 3.19 in this version.
 
    Changelog:
    o New feature
         - [PATCH v2] Get MODULES_VADDR by KERNEL_IMAGE_SIZE for x86_64. 
           (by Baoquan He) 56649f7
         - [PATCH v4 1/4] Make get_elf64_phdr()/get_elf32_phdr() public. 
           (by Wang Xiao) 3182be9
         - [PATCH v4 2/4] Make the incomplete dumpfile generated by ENOSPC 
           error analyzable.
           (by Wang Xiao) e39216f
         - [PATCH v4 3/4] Implementation of dealing with kdump-compressed 
           dumpfile with ENOSPC error. (by Wang Xiao) 76025d3
         - [PATCH v4 4/4] Fix reassemble_kdump_header(). 
           (by Zhou Wenjian) 45a1885
         - [PATCH v3] Enable --mem-usage for s390x. 
           (by Michael Holzheu) 2e452d7
         - [PATCH v5 1/5] Add support for splitblock. 
           (by Zhou Wenjian) c7825d4
         - [PATCH v5 2/5] Add tools for reading and writing from splitblock 
           table.  (by Zhou Wenjian) 11dcbfe
         - [PATCH v5 3/5] Add module of generating table.
           (by Zhou Wenjian) 28e367c
         - [PATCH v5 4/5] Add module of calculating start_pfn and end_pfn in 
           each dumpfile.
           (by Zhou Wenjian) 2b74c02
         - [PATCH v5 5/5] Add support for --splitblock-size. 
           (by Zhou Wenjian) 3352179
         - [PATCH] sadump: Support more than 16TB physical memory space. 
           (by HATAYAMA Daisuke) 37afcd5
     
     o Bugfix
         - [PATCH] Use file offset in initialize_mmap().
           (by Petr Tesarik) f822608
     
     o Cleanup
         - [PATCH] Initialize symbols early for old kernels. 
           (by Atsushi Kumagai) 99850a1
         - [PATCH v2] Introduce stub method for machine dependent parts. 
           (by Atsushi Kumagai) bf0bbf9
         - [PATCH] Read vmcoreinfo as early as possible. 
           (by Atsushi Kumagai) 21631da
         - [PATCH] Bring get_kcore_dump_loads() backward. 
           (by Atsushi Kumagai) c1d9e15
         - [PATCH 1/2] Add description of elf dump file. 
           (by Zhou Wenjian) 4074bb6
         - [PATCH 2/2] Add description of incomplete dump file. 
           (by Zhou Wenjian) b343067
         - [PATCH] Cleanup: Add some comments for ELF format. 
           (by Atsushi Kumagai) 4a59bd6
         - [PATCH 1/2] Modify the description of the dump level. 
           (by Atsushi Kumagai) 3599df6
         - [PATCH 2/2] Change the part of the pfn counter for page cache. 
           (by Atsushi Kumagai) 7b55569
         - [PATCH v3 1/7] cache: get rid of search loop in cache_add(). 
           (by Petr Tesarik) e068ea2
         - [PATCH v3 2/7] cache: allow to return a page to the pool. 
           (by Petr Tesarik) f2b30c6
         - [PATCH v3 3/7] cache: do not allocate from the pending list. 
           (by Petr Tesarik) ff592e6
         - [PATCH v3 4/7] cache: add hit/miss statistics to the final report.  
           (by Petr Tesarik) 7405a60
         - [PATCH v3 5/7] cache: allocate buffers in one big chunk. 
           (by Petr Tesarik) 65899d0
         - [PATCH v3 6/7] cache: allow arbitrary size of cache entries. 
           (by Petr Tesarik) 5881f23
         - [PATCH v3 7/7] cache: store mapped regions directly in the cache.  
           (by Petr Tesarik) 1acd75f
         - [PATCH] Update email addresses of mainteners. 
           (by Atsushi Kumagai) febff05

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 28 Apr 2015 11:38:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: makedumpfile
 Section: devel
 Priority: optional
-Maintainer: John Wright <jsw@debian.org>
-Uploaders: Louis Bouchard <louis.bouchard@ubuntu.com>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1), libbz2-dev
+Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1),
+                libbz2-dev, dh-systemd (>=1.5)
 Vcs-Git: git://git.debian.org/collab-maint/makedumpfile.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/makedumpfile.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with=systemd
+
+override_dh_auto_build:
+	dh_auto_build -- LINKTYPE=dynamic
 
 override_dh_installinit:
 	# Start right after syslog is available, and don't bother stopping
